Subject: bug#11981: 24.1.50; url-http-parse-headers should not disable file name handlers since it breaks auth-source

From: David Engster <[email-masked]>
Date: Mon, 13 Aug 2012 21:23:01 +0200

Stefan Monnier writes:
>> You are both right, of course; I was overcompensating. The match for
>> %3[fF] must be removed.
>
> Thanks, I installed your patch with this part adjusted (as well as the
> default case changed to better match file-name-(non)directory's
> behavior).
> Can we now re-enable file-name-handlers in url-http-parse-headers?

I think so. I re-enabled the file-name-handlers, created a test feed
with a colon in it

http://www.randomsample.de/foo:bar.xml

and I could subscribe to it with Gnus (the original URLs in Bug #6717
gave me http 405 errors).

-David